:root {
    --sigma-blue: #00bbe6;
    --sigma-dark: #12141c;
    --light-bg: #f8f9fa;
    --light-border: #dee2e6;
    --text-color: #333;
    --tab-code-bg: #f8f9fa;
    --tab-code-text: #333;
    --border-color: #0d6dfd21;
}

body {
    background-color: var(--light-bg);
    color: var(--text-color);
    overflow-y: auto; 
    padding: 20px;
}

.section-container {
    border: 2px solid var(--border-color);
    padding: 10px;
    border-radius: 5px;
    transition: border-color 0.3s, background-color 0.3s;
}



.h5-label {
    margin-bottom: 0;
    padding-bottom: 0;
    background-color: var(--tab-code-bg);
    color: var(--text-color);
    padding: 10px 15px;
}

textarea.form-control {
    border: none; 
    resize: vertical; 
    overflow-y: auto; 
    min-height: 300px;
    width: 100%; 
    border-radius: 0 0 5px 5px;
    margin-bottom: 20px;
}

textarea.form-control:focus {
    outline: none; 
}

textarea.form-control::-webkit-scrollbar {
    width: 10px;  
}

textarea.form-control::-webkit-scrollbar-track {
    background: #f1f1f1;  
    border-radius: 10px;  
}

textarea.form-control::-webkit-scrollbar-thumb {
    background-color: #888;  /* Color of the scrollbar thumb */
    border-radius: 10px;  /* Round the thumb corners */
    border: 2px solid #f1f1f1;  /* Adds a border around the thumb */
}

textarea.form-control::-webkit-scrollbar-thumb:hover {
    background-color: #555; 
}

textarea.form-control {
    scrollbar-width: thin;  
    scrollbar-color: #888 #f1f1f1; 
}

textarea.form-control {
    -ms-overflow-style: none; 
}

textarea.form-control::-webkit-scrollbar-corner {
    background: transparent;  
}
.validation-status {
    margin-bottom: 10px;
    padding: 8px;
    border-radius: 5px;
    text-align: center;
    font-weight: bold;
    display: none; 
}

.validation-status.pass {
    background-color: #d4edda;
    color: #155724;
    border: 1px solid #c3e6cb;
}

.validation-status.fail {
    background-color: #f8d7da;
    color: #721c24;
    border: 1px solid #f5c6cb;
}
select.form-select {
    -webkit-appearance: none; 
    -moz-appearance: none;
    appearance: none;
    padding-right: 30px; 
    background: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 4 5"><path fill="%23232322" d="M2 0L0 2h4z"/></svg>') no-repeat right 10px center;
    background-size: 12px 12px;
    border-radius: 5px;
}


